<?php 

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\MAN\Utilities;

class RelComandasEmAberto {
    
    protected $utilService,
              $relComandasEmAbertoService;
    
    public function __construct(Utilities\Util $utilService, $relComandasEmAbertoService) {
        $this->utilService = $utilService;
        $this->relComandasEmAbertoService = $relComandasEmAbertoService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        ini_set('max_execution_time', 1800);
        $result = [];
        
        $conditions = $this->utilService->getParamsAsArray($request);
        if(isset($conditions['CDFILIAL']) && !empty($conditions['CDFILIAL'])) {
            $produtosResult = $this->relComandasEmAbertoService->getComandasEmAberto($conditions);
            $response->addDataSet(new DataSet('vnd93000QR2_relComandasEmAberto', $produtosResult));
        }
        
        return $result;
    }
    
}